\documentclass{beamer}
\usetheme[progressbar=frametitle, block=fill, sectionpage=none]{metropolis}
\usepackage{dynblocks}
\usepackage[utf8]{inputenc}
\usepackage{textcomp}
\usepackage{transparent}
\usepackage{pgffor}
\usepackage{caption}
\usepackage{tikz}
\usetikzlibrary{shapes,arrows,positioning}

\setbeamercolor{framesubtitle}{fg=mDarkTeal}
\addtobeamertemplate{frametitle}{}{%
\ifx\insertframesubtitle\@empty\else%
    \usebeamerfont{framesubtitle}%
    \usebeamercolor[fg]{framesubtitle}%
    \insertframesubtitle%
\fi%
}

\tikzstyle{block} = [rectangle, draw, fill=blue!13, 
    text width=10em, text centered, rounded corners]
    \tikzstyle{line} = [draw, -latex']

\title{Gap Detection Using Computer Vision}
\author{Maik Wegener}
\date{December 12, 2018}

\begin{document}

\input{./sections/introduction.tex}
\section{Different approaches for different problems}
\input{./sections/paper_gap_flyt.tex}
\input{./sections/paper_crack_detection.tex}
\input{./sections/paper_abnormality_detection.tex}
\input{./sections/closure.tex}
\input{./sections/bib.tex}

\end{document}
